---

- name: restart linstor-controller
  service: name=linstor-controller state=restarted
  # Only restart if the service wasn't just started, and if either HA is not used, or the service was running (so it's the current active instance)
  when:
    - not linctl_started.changed
    - not linctl_ha or linctl_services.ansible_facts.services['linstor-controller.service'] is defined and linctl_services.ansible_facts.services['linstor-controller.service'].state == 'started'

- name: restart linstor-controller-logs-janitor
  systemd: name=linstor-controller-logs-janitor.timer state=restarted
